Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Class ReplaceTitleCopyOption

    java.lang.Object
      com.ibm.workplace.wcm.api.ReplaceTitleCopyOption

All Implemented Interfaces:
  CopyOption

    public class ReplaceTitleCopyOption

extends java.lang.Object
implements CopyOption

This `CopyOption` is used to update the title of the item being copied. The default behavior of this copy option if no title is specified will be to just clear any text provider options set on the item being copied.

If this option is used with `RecursiveCopyOption`, only the top level item will be renamed.

Since:
  8.0.0.1

Constructor Summary
`ReplaceTitleCopyOption()` Constructor
`ReplaceTitleCopyOption(java.lang.String p_newTitle)` Constructor

Method Summary
`java.lang.String` | `getNewTitle()` Retrieve the title that will be set on the copied item
`java.lang.String` | `getTextProviderKey()` Returns the text provider key that will be used on the the item being copied.
`java.lang.String` | `getTextProviderName()` Returns the text provider name that will be used on the the item being copied.
`void` | `setNewTitle(java.lang.String newTitle)` Set the title to be set on the copied item
`void` | `setTextProviderKey(java.lang.String textProviderKey)` Set the text provider key that will used as the text provider key of the item being copied.
`void` | `setTextProviderName(java.lang.String textProviderName)` Set the text provider name that will used as the text provider key of the item being copied.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplaceTitleCopyOption

    public ReplaceTitleCopyOption()

  Constructor

### ReplaceTitleCopyOption

    public ReplaceTitleCopyOption(java.lang.String p_newTitle)

  Constructor

  Parameters:
    `p_newTitle` - new title for the top item being copied

Method Detail

### setNewTitle

    public void setNewTitle(java.lang.String newTitle)

  Set the title to be set on the copied item

  Parameters:
    `newTitle` - the title to be set on the copied item

### getNewTitle

    public java.lang.String getNewTitle()

  Retrieve the title that will be set on the copied item

  Returns:
    the title that will be set on the copied item

### setTextProviderName

    public void setTextProviderName(java.lang.String textProviderName)

  Set the text provider name that will used as the text provider key of the item being copied. Setting a null value will not clear the provider name. To do so use a `ClearTitleTextProviderCopyOption`

  Parameters:
    `textProviderName` - the text provider name for the title of the copied item

### getTextProviderName

    public java.lang.String getTextProviderName()

  Returns the text provider name that will be used on the the item being copied. Otherwise, null will be returned.

  Returns:
    the text provider name for the title of the copied item

### setTextProviderKey

    public void setTextProviderKey(java.lang.String textProviderKey)

  Set the text provider key that will used as the text provider key of the item being copied. Setting a null value will not clear the provider key. To do so use a `ClearTitleTextProviderCopyOption`

  Parameters:
    `textProviderKey` - the text provider key for the title of the copied item

### getTextProviderKey

    public java.lang.String getTextProviderKey()

  Returns the text provider key that will be used on the the item being copied. Otherwise, null will be returned.

  Returns:
    the text provider key for the title of the copied item

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD